targets:

  # needs patched u-boot for emmc r/w https://lists.denx.de/pipermail/u-boot/2021-February/441964.html
  turris-omnia-emmc:
    resources:
      RawSerialPort:
        port: "/dev/turris-omnia"
    drivers:
      ExternalPowerDriver:
        cmd_on: ssh root@uart-relay.testbed.vpn.true.cz power_on 0
        cmd_off: ssh root@uart-relay.testbed.vpn.true.cz power_off 0
      SerialDriver:
        txdelay: 0.01
      ShellDriver:
        console_ready: Please press Enter to activate this console.
        prompt: 'root@[\w()]+:[^ ]+ '
        login_prompt: built-in shell (ash)
        await_login_timeout: 15
        username: kingbanik
      UBootDriver:
        prompt: '=> '
        init_commands:
          - setenv bootargs earlyprintk console=ttyS0,115200
          - setenv set_blkcnt 'setexpr blkcnt ${filesize} + 0x7ffff && setexpr blkcnt ${blkcnt} / 0x80000 && setexpr blkcnt ${blkcnt} * 0x400'
          - dhcp ${kernel_addr_r} prplos-mvebu-cortexa9-cznic_turris-omnia-sysupgrade.img
        boot_command: run set_blkcnt && mmc dev 0 0 && mmc erase 0 ${blkcnt} && mmc write ${kernel_addr_r} 0 ${blkcnt} && run bootcmd
      UBootStrategy: {}

  turris-omnia-initramfs:
    resources:
      RawSerialPort:
        port: "/dev/turris-omnia"
    drivers:
      ExternalPowerDriver:
        cmd_on: ssh root@uart-relay.testbed.vpn.true.cz power_on 0
        cmd_off: ssh root@uart-relay.testbed.vpn.true.cz power_off 0
      SerialDriver:
        txdelay: 0.01
      ShellDriver:
        console_ready: Please press Enter to activate this console.
        prompt: 'root@[\w()]+:[^ ]+ '
        login_prompt: built-in shell (ash)
        await_login_timeout: 15
        username: kingbanik
      UBootDriver:
        prompt: '=> '
        init_commands:
          - setenv kernel_addr_r 0x2000000
          - setenv bootargs earlyprintk console=ttyS0,115200
          - dhcp 0x2000000 prplos-mvebu-cortexa9-cznic_turris-omnia-initramfs-kernel.bin
        boot_command: bootm 0x2000000
      UBootStrategy: {}

  urx851-hdk-3-emmc:
    resources:
      RawSerialPort:
        port: "/dev/urx851-hdk-3"
    drivers:
      ExternalPowerDriver:
        cmd_on: ssh root@uart-relay.testbed.vpn.true.cz power_on 3
        cmd_off: ssh root@uart-relay.testbed.vpn.true.cz power_off 3
      SerialDriver:
        txdelay: 0.01
      ShellDriver:
        console_ready: Please press Enter to activate this console.
        prompt: 'root@[\w()]+:[^ ]+ '
        login_prompt: built-in shell (ash)
        username: kingbanik
      UBootDriver:
        prompt: 'Lightning #'
        console_decodeerrors: 'backslashreplace'
        init_command_timeout: 90
        init_commands:
          - setenv serverip 192.168.1.2
          - setenv ipaddr 192.168.1.1
          - setenv lcm_data_block_start 0xf6800
          - setenv fullimage prplos-intel_x86-lgm-PRPL_OSP_TB341-osp_tb341_fullimage.img
          - mmc dev 0 && mmc erase ${lcm_data_block_start} 0x400
          - mmc dev 0 && mmc erase ${rootfs_data_block_start} ${rootfs_data_block_size} && run update_fullimage
      UBootStrategy: {}

  wnc-freedom-initramfs:
    resources:
      RawSerialPort:
        port: "/dev/wnc-freedom"
    drivers:
      ExternalPowerDriver:
        cmd_on: ssh root@uart-relay.testbed.vpn.true.cz power_on 2
        cmd_off: ssh root@uart-relay.testbed.vpn.true.cz power_off 2
      SerialDriver: {}
      ShellDriver:
        console_ready: Please press Enter to activate this console.
        prompt: 'root@[\w()]+:[^ ]+ '
        login_prompt: built-in shell (ash)
        login_timeout: 75
        await_login_timeout: 16
        username: kingbanik
      UBootDriver:
        prompt: 'IPQ9574# '
        init_commands:
          - setenv serverip 10.0.0.1
          - setenv ipaddr 10.0.0.2
        boot_command: tftpboot prplos-ipq95xx-generic-prpl_freedom-initramfs-uImage.itb && aq_phy_reset && aq_load_fw 0x8 && bootm
        boot_command_delay: 3
      UBootStrategy: {}

  wnc-freedom-emmc:
    resources:
      RawSerialPort:
        port: "/dev/wnc-freedom"
    drivers:
      ExternalPowerDriver:
        cmd_on: ssh root@uart-relay.testbed.vpn.true.cz power_on 2
        cmd_off: ssh root@uart-relay.testbed.vpn.true.cz power_off 2
      SerialDriver: {}
      ShellDriver:
        console_ready: Please press Enter to activate this console.
        prompt: 'root@[\w()]+:[^ ]+ '
        login_prompt: built-in shell (ash)
        login_timeout: 75
        await_login_timeout: 16
        username: kingbanik
      UBootDriver:
        prompt: 'IPQ9574# '
        init_commands:
          - setenv serverip 10.0.0.1
          - setenv ipaddr 10.0.0.2
          - sleep 5
          - tftpboot 0x44000000 prplos-ipq95xx-generic-prpl_freedom-squashfs-sysupgrade.bin
          - aq_phy_reset
          - aq_load_fw 0x8
          - setenv untar_addr_kernel; setenv untar_addr_root; echo
          - untar 0x$fileaddr 0x$filesize kernel root
          - if test -n $untar_addr_kernel; then flash "0:HLOS" 0x$untar_addr_kernel 0x$untar_size_kernel; else echo "kernel is not found"; fi
          - if test -n $untar_addr_root; then flash "rootfs" 0x$untar_addr_root 0x$untar_size_root; else echo "rootfs is not found"; fi
      UBootStrategy: {}
